# MCP Tools Reference: container.googleapis.com

## Tool: `get_k8s_cluster_info`

Gets cluster endpoint information. This is similar to running `kubectl cluster-info`.

The following sample demonstrate how to use `curl` to invoke the `get_k8s_cluster_info` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://container.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_k8s_cluster_info", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for KubeClusterInfo.

### GetK8SClusterInfoRequest

| JSON representation |
|---|
| ``` { "parent": string } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent cluster. Format: projects/{project}/locations/{location}/clusters/{cluster} |

## Output Schema

Response message for KubeClusterInfo.

### GetK8SClusterInfoResponse

| JSON representation |
|---|
| ``` { "clusterInfo": string, "errors": [ { object (`https://docs.cloud.google.com/kubernetes-engine/docs/reference/mcp/tools_list/list_k8s_api_resources#Output.Schema.Status`) } ] } ``` |

| Fields ||
|---|---|
| `clusterInfo` | `string` The cluster info of the resource. Displays address and port information about the Kubernetes control plane and other services running within the cluster such as CoreDNS and Metrics-server. Example: "The Kubernetes control plane is at 10.128.0.10:6443. CoreDNS is running at <https://192.0.2.1:6443/api/v1/namespaces/kube-system/services/kube-dns:dns/proxy> Metrics-server is running at 127.0.0.1:8080" |
| `errors[]` | ``object (`https://docs.cloud.google.com/kubernetes-engine/docs/reference/mcp/tools_list/list_k8s_api_resources#Output.Schema.Status`)`` Errors encountered during cluster info retrieval. |

### Status

| JSON representation |
|---|
| ``` { "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } ``` |

| Fields ||
|---|---|
| `code` | `integer` The status code, which should be an enum value of `google.rpc.Code`. |
| `message` | `string` A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the `google.rpc.Status.details` field, or localized by the client. |
| `details[]` | `object` A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field `"@type"` contains a URI identifying the type. Example: `{ "id": 1234, "@type": "types.example.com/standard/id" }`. |

### Any

| JSON representation |
|---|
| ``` { "typeUrl": string, "value": string } ``` |

| Fields ||
|---|---|
| `typeUrl` | `string` Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one `/` character, and the content after the last `/` must be the fully-qualified name of the type in canonical form, without a leading dot. Do not write a scheme on these URI references so that clients do not attempt to contact them. The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last `/` to identify the type. `type.googleapis.com/` is a common default prefix that some legacy implementations require. This prefix does not indicate the origin of the type, and URIs containing it are not expected to respond to any requests. All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): `/-.~_!$&()*+,;=`. Despite our allowing percent encodings, implementations should not unescape them to prevent confusion with existing parsers. For example, `type.googleapis.com%2FFoo` should be rejected. In the original design of `Any`, the possibility of launching a type resolution service at these type URLs was considered but Protobuf never implemented one and considers contacting these URLs to be problematic and a potential security issue. Do not attempt to contact type URLs. |
| `value` | `string (https://developers.google.com/discovery/v1/type-format format)` Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |

### Tool Annotations

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌